#!/bin/sh

# -V no verification
# -P port
# -p part
# -c programmer
# -i delay in us
# -D: no chip erase before flashing
# -U memory operation
#   :w  write
#   :m  immediate value
#   :i  Intel Hex

avrdude -P/dev/ttyUSB0 -patmega32u4 -cdasa3 -i1000\
 -Ulfuse:r:lfuse.txt:h -Uhfuse:r:hfuse.txt:h -Uefuse:r:efuse.txt:h\
 -Ulock:r:locks.txt:h
echo -n "lfuse: "; cat lfuse.txt
echo -n "hfuse: "; cat hfuse.txt
echo -n "efuse: "; cat efuse.txt
echo -n "locks: "; cat locks.txt
