#!/bin/sh

# -V no verification
# -P port
# -p part
# -c programmer
# -i delay in us
# -D: no chip erase before flashing
# -U memory operation
#   :w  write
#   :m  immediate value
#   :i  Intel Hex

avrdude -V -P/dev/ttyUSB0 -patmega32u4 -cdasa3 -i1000\
 -Ulfuse:w:0xff:m -Uhfuse:w:0xd8:m -Uefuse:w:0xcb:m
